unit Start;

interface

uses Windows, Classes, Graphics, Forms, Controls, Buttons,
  SysUtils, StdCtrls, Grids, Calendar, ExtCtrls;

type
  TStartForm = class(TForm)
    Calendar1: TCalendar;
    PrevMonthBtn: TSpeedButton;
    NextMonthBtn: TSpeedButton;
    Label1: TLabel;
    DateLabel: TLabel;
    NoChangesButton: TSpeedButton;
    NewClientButton: TSpeedButton;
    ChangeButton: TSpeedButton;
    FunButton: TSpeedButton;
    BitBtn1: TBitBtn;
    HolidayButton: TSpeedButton;
    procedure PrevMonthBtnClick(Sender: TObject);
    procedure NextMonthBtnClick(Sender: TObject);
    procedure Calendar1Change(Sender: TObject);
    procedure FunButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure NewClientButtonClick(Sender: TObject);
    procedure ChangeButtonClick(Sender: TObject);
    procedure NoChangesButtonClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure HolidayButtonClick(Sender: TObject);
  private
    procedure SetDate(Date: TDateTime);
    function GetDate: TDateTime;
  public
    property Date: TDateTime read GetDate write SetDate;
  end;

var
  StartForm: TStartForm;

implementation

uses Mowmain, DataMod;

{$R *.DFM}

procedure TStartForm.SetDate(Date: TDateTime);
begin
 Calendar1.CalendarDate := Date;
end;

function TStartForm.GetDate: TDateTime;
begin
  Result := Calendar1.CalendarDate;
end;

procedure TStartForm.PrevMonthBtnClick(Sender: TObject);
begin
  Calendar1.PrevMonth;
end;

procedure TStartForm.NextMonthBtnClick(Sender: TObject);
begin
  Calendar1.NextMonth;
end;

procedure TStartForm.Calendar1Change(Sender: TObject);
begin
  StartForm.DateLabel.Caption := FormatDateTime('dddd, MMMM d, YYYY', Calendar1.CalendarDate);
end;

procedure TStartForm.FunButtonClick(Sender: TObject);
begin{DO someting... then}
Close;
end;

procedure TStartForm.FormCreate(Sender: TObject);
begin
StartForm.FormStyle := fsStayOnTop;
StartForm.DateLabel.Caption := FormatDateTime('dddd, MMMM d, YYYY', Date);
end;

procedure TStartForm.NewClientButtonClick(Sender: TObject);
begin
MainForm.NewButtonClick(Sender);
Close;
end;

{Route Mover:
Route ___
Delivery #: Move ___ to ____
will insert number and renumber routes by going through in reverse order}
procedure TStartForm.ChangeButtonClick(Sender: TObject);
begin
MainForm.ClientsButtonClick(Sender);
Close;
end;

procedure TStartForm.NoChangesButtonClick(Sender: TObject);
begin
MOWZDB.DOWORK; {MainForm.DoWorkButtonClick(Sender);}
Close;
end;

procedure TStartForm.BitBtn1Click(Sender: TObject);
begin
Application.HelpContext(140);
end;

procedure TStartForm.HolidayButtonClick(Sender: TObject);
begin{Process for a Holiday}
MOWZDB.HolidayDo;
Close;
end;

end.
